こんにちは。新潟ホームページ制作【マザーシップ】です。

WordPressのカレンダープラグイン「Ajax Event Calendar」が現在一部条件で使用できなくなっています。

・Wordpress:バージョン3.6以上
・ブラウザ:IE(インターネットエクスプローラ)8以上

の組み合わせで、カレンダーの更新・投稿ができません。

Broken

▲互換性に関する項目

公式サイトにも「Broken :(」の投票がありました。JQueryの記述に問題があるとのことです。

IE以外のブラウザ、例えば、Chrome、Firefoxでは問題なく動作するのですが、IEを愛用しているかたにとっては、不便ですね。

対策

以下は Ajax Event Calendar バージョン1.04での改善方法です。おそらく、近々修正バージョンがリリースされるとは思いますが、それまでの暫定的な方法としてご利用ください。

1)修正版ダウンロード

IEの問題を修正するファイル「jquery.simplemodal.js」の修正版をBenさんのサイトからダウンロードします。

http://www.benkaeding.com/jquery.simplemodal.js

2)修正版アップロード

FTPソフト等で下記ディレクトリ内へアップロードします。

wp-content/plugins/ajax-event-calendar/js/

3)リネーム

「jquery.simplemodal.js」から「jquery.simplemodal.1.4.3.min.js」にリネームします。

同ディレクトリにすでに「jquery.simplemodal.1.4.3.min.js」が置いてあるのですが、こちらは念の為にバックアップをとっておきましょう。

4)IEでテスト

投稿画面のポップアップが出るはずですヽ(´ー`)ノ

参考記事

Problems with IE and WP 3.6 (Wordpressフォーラム)

この記事をシェア